classification
Title: Adapt pydoc to new doc system
Type: Stage:
Components: Library (Lib) Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: amaury.forgeotdarc, georg.brandl, hdiogenes
Priority: normal Keywords: patch

Created on 2008-01-21 17:14 by georg.brandl, last changed 2008-06-01 21:07 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
py3k-test_pydoc.patch hdiogenes, 2008-04-24 06:47 First try on automated tests for pydoc
py3k-pydoc.doc-cleanup.patch hdiogenes, 2008-04-25 06:48 Removed duplicated code from pydoc.doc
Messages (8)
msg61418 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-01-21 17:14
so that this doesn't get lost...
msg65710 - (view) Author: Humberto Diógenes (hdiogenes) * Date: 2008-04-24 06:47
It looks like there are no automated tests for pydoc; it's even listed in test_sundry.py.

There's only one file Lib/test/pydocfodder.py which defines "Something just to look at 
via pydoc", but isn't used anywhere (I grepped and found nothing).

I've attached a patch just to document one point where pydoc behavior differs from 2.5 to 
3.0: describe() used to return 'instance of ClassX', now it returns only 'ClassX' (which 
means this test will pass in 2.5 but not in 3.0).

Functions main and test_main were copied from test_modulefinder.
msg65711 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-04-24 09:06
It's not a difference between versions, but a difference between
old-style and new-style classes (which derive from object).
In 3.0, all classes are new-style...
msg65749 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-04-24 21:07
Humberto, I added your test file in trunk.
I added some other tests: now pydocfodder.py is used by a basic "smoke
test".
The tests revealed two bugs in python3.0...  Thanks!
msg65772 - (view) Author: Humberto Diógenes (hdiogenes) * Date: 2008-04-25 06:48
Amaury, seems that there's duplicated from render_doc inside pydoc.doc. I 
removed it and everything kept working, including the new basic tests.
msg65916 - (view) Author: Humberto Diógenes (hdiogenes) * Date: 2008-04-28 13:34
According to Georg, the "adaptation" referred by this issue is just about 
changing the URLs in the documentation to point appropriately to the URLs 
generated by the new doc system.

Anyway, the doc-cleanup.patch is still pending... ;)
msg65917 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-04-28 13:37
> Anyway, the doc-cleanup.patch is still pending... ;)
No, I already removed the duplicated code in r62505.
msg67602 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-06-01 21:07
OK, this is fixed by including topic help as a separate module, and not
relying on the HTML documentation, in r63871.
History
Date User Action Args
2008-06-01 21:07:16georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg67602
2008-05-21 15:08:51mark.dickinsonlinkissue2873 dependencies
2008-04-28 13:37:04amaury.forgeotdarcsetmessages: + msg65917
2008-04-28 13:34:32hdiogenessetmessages: + msg65916
2008-04-25 06:48:55hdiogenessetfiles: + py3k-pydoc.doc-cleanup.patch
messages: + msg65772
2008-04-24 21:07:35amaury.forgeotdarcsetmessages: + msg65749
2008-04-24 09:06:07amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg65711
2008-04-24 06:47:19hdiogenessetfiles: + py3k-test_pydoc.patch
keywords: + patch
messages: + msg65710
nosy: + hdiogenes
2008-01-22 10:32:20gpolosettype: behavior ->
2008-01-22 10:32:12gpolosettype: behavior
2008-01-21 17:14:07georg.brandlcreate